Skip to main content
GET
/
instant
/
{id}
cURL
curl --request GET \
  --url https://api.ionelectricity.com/v2/instant/{id}
{
  "id": "<string>",
  "createdAt": {},
  "updatedAt": {},
  "_version": 123,
  "_lastChangedAt": {},
  "latestRecordDate": {},
  "latestRecords": {},
  "latestRecordsExport": {},
  "powerPhase1": 123,
  "powerPhase2": 123,
  "powerPhase3": 123,
  "currentPhase1": 123,
  "currentPhase2": 123,
  "currentPhase3": 123,
  "voltagePhase1": 123,
  "voltagePhase2": 123,
  "voltagePhase3": 123,
  "peakPower": 123,
  "peakCurrent": 123,
  "peakVoltage": 123,
  "hasPowerCut": true,
  "activeCyclePeriod": 123,
  "predictedPowerCutTime": {},
  "version": 123,
  "_deleted": true
}

Path Parameters

id
string
required

Response

200 - application/json
id
string
required
createdAt
object
required
updatedAt
object
required
_version
integer<int32>
required
_lastChangedAt
object
required
latestRecordDate
object
latestRecords
object
latestRecordsExport
object
powerPhase1
number<float>
powerPhase2
number<float>
powerPhase3
number<float>
currentPhase1
number<float>
currentPhase2
number<float>
currentPhase3
number<float>
voltagePhase1
number<float>
voltagePhase2
number<float>
voltagePhase3
number<float>
peakPower
number<float>
peakCurrent
number<float>
peakVoltage
number<float>
hasPowerCut
boolean
activeCyclePeriod
integer<int32>
predictedPowerCutTime
object
version
integer<int32>
_deleted
boolean